Skip to content

Descarga de archivo ​

Estos servicios permiten descargar cualquier archivo alojado en nuestros servicios de alamacenamiento

Obtener algun archivo alojado en nuestros servidores ​

/api/v1/SAT/rfcs/{rfc}/certificados ​

URL ​

bash
    GET /api/v1/SAT/download-file

Headers ​

Authorization: Bearer {token}

Accept: application/json

URL Params ​

InputTypeRequiredValues acceptableDefault
file_pathstringfalse

Data Params ​

txt
    None

Respuestas Posibles ​

Success

Code: 200 Success

Unauthorized

Code: 401 Unauthorized

Content:

json
{
  "message": "Unauthenticated."
}

Unauthorized

Code: 404 Not Found

Content:

json
{
  "message": "File not found."
}

Unauthorized

Code: 422 Unprocessable Content

Content:

json
{
    "message": "The file path field is required.",
    "errors": {
        "file_path": [
            "The file path field is required."
        ]
    }
}
Ejemplo con curl
bash
curl --location --request GET 'https://bridge.paladins.mx/api/v1/SAT/download-file?file_path=RFC/CSFs/RFC-02-08-2024-00-24-03.pdf' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer 3|jIoi6R40Kic8IkKtT7XQu4nUM78BqwqxTsPKtQGi67f00c2a' \
--output CSFs.pdf